%define	xfontdir_	%{_datadir}/fonts/ja
%define	xfontdir	%{xfontdir_}/TrueType

%define	kochimin	kochi-mincho-0.2.20020727
%define	kochigoth	kochi-gothic-0.2.20020727

Name:		ttfonts-ja
Version:	1.2
Release:	16b
License:	Distributable
Group:		User Interface/X
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{PACKAGE_VERSION}-root

## Original fonts is here
## Source0:	http://www.on.cs.keio.ac.jp/~yasu/linux/fonts/%{kochimin}.tar.bz2
Source0:	%{kochimin}.tar.bz2
## Original fonts is here
## Source1:	http://www.on.cs.keio.ac.jp/~yasu/linux/fonts/%{kochigoth}.tar.bz2
Source1:	%{kochigoth}.tar.bz2
Source2:	fonts.alias.kk
Source3:	fonts.scale.kk

%ifnos darwin
BuildPreReq:	XFree86-xfs
%endif
BuildPreReq:	VFlib2
%ifnos darwin
Prereq:         fontconfig
%endif
PreReq:		%{_sbindir}/chkfontpath /usr/X11R6/bin/mkfontdir

Summary: Free Japanese TrueType fonts
%description
This package provides free Japanese TrueType fonts, and includes
ttindex files for VFlib. Kochi TTF which includes in this package
have removed 10pt and 11pt which provides by naga10 font because
there is the license problem.

%prep
%setup -q -c -a 1

%build
pushd kochi-mincho/fonts
ttindex kochi-mincho
popd
pushd kochi-gothic/fonts
ttindex kochi-gothic
popd

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{xfontdir}
pushd kochi-mincho
install -m 0644 fonts/*.{ttf,tti} $RPM_BUILD_ROOT%{xfontdir}/
popd
pushd kochi-gothic
install -m 0644 fonts/*.{ttf,tti} $RPM_BUILD_ROOT%{xfontdir}/
popd
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%{xfontdir}/fonts.alias
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{xfontdir}/fonts.scale
/usr/X11R6/bin/mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings \
                         -e /usr/X11R6/lib/X11/fonts/encodings\large \
                         $RPM_BUILD_ROOT%{xfontdir}

# create default font
pushd $RPM_BUILD_ROOT%{xfontdir_}
	ln -s TrueType/kochi-mincho.ttf default.font
	ln -s TrueType/kochi-gothic.ttf default-bold.font
popd

# doc
install -d doc
install -d doc/%{kochimin}
install -d doc/%{kochigoth}

pushd kochi-mincho
	cp -r {AUTHORS,Changelog,README,README.RedHat,THANKS,TODO,docs,examples} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/%{kochimin}
popd
pushd kochi-gothic
	cp -r {AUTHORS,CHANGES,Changelog,README,README.RedHat,THANKS,TODO,docs,examples} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/doc/%{kochigoth}
popd

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
%ifnos darwin
fc-cache
%endif
/usr/X11R6/bin/mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings \
                         -e /usr/X11R6/lib/X11/fonts/encodings\large \
                         %{xfontdir}

%{_sbindir}/chkfontpath -q -a %{xfontdir}
if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
	/usr/bin/redhat-update-gnome-font-install
fi
if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
	/usr/bin/redhat-update-gnome-font-install2
fi

%postun
if [ "$1" = "0" ];
then
	%{_sbindir}/chkfontpath -q -r %{xfontdir}
	if [ -x /usr/bin/redhat-update-gnome-font-install ]; then
		/usr/bin/redhat-update-gnome-font-install
	fi
	if [ -x /usr/bin/redhat-update-gnome-font-install2 ]; then
		/usr/bin/redhat-update-gnome-font-install2
	fi
fi

%files
%ifnos darwin
%defattr(-,root,root)
%else
%defattr(-,root,wheel)
%endif
%doc doc/*
%dir %{xfontdir_}
%dir %{xfontdir}
%config %{xfontdir}/fonts.alias
%config(noreplace) %{xfontdir_}/default*.font
%{xfontdir}/fonts.scale
%{xfontdir}/fonts.dir
%{xfontdir}/encodings.dir
%{xfontdir}/*ttf
%{xfontdir}/*tti

%changelog
* Mon Jan 05 2004 Keisuke Fujii <keisuke.fujii@kek.jp>
- 1st release on MacOS X 10.2

* Mon Oct 14 2002 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X 10.2

* Fri Aug 30 2002 Alexander Larsson <alexl@redhat.com> 1.2-16
- Call fc-cache from %%post

* Wed Aug 21 2002 Akira TAGOH <tagoh@redhat.com> 1.2-15
- runs mkfontdir on %%post to avoid generating an invalid fonts.dir.

* Mon Jul 29 2002 Akira TAGOH <tagoh@redhat.com> 1.2-14
- updates to 20020727

* Fri Jul 12 2002 Akira TAGOH <tagoh@redhat.com> 1.2-13
- if redhat-update-gnome-font-install2 exists, runs it on %%post/%%postun.

* Thu Jun 27 2002 Akira TAGOH <tagoh@redhat.com> 1.2-12
- dropped watanabe-mincho and wadalab-gothic.
  these fonts is no longer maintained and we can use the kochi fonts instead of
  these fonts now.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 30 2002 Akira TAGOH <tagoh@redhat.com> 1.2-10
- Update to 2002/05/03 release.

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Apr  3 2002 Akira TAGOH <tagoh@redhat.com> 1.2-8
- fonts.alias: don't specify noreplace.

* Wed Apr  3 2002 Akira TAGOH <tagoh@redhat.com> 1.2-7
- fonts.alias: fix spacing entries.
  Right now ttmkfdir generate fonts.dir with -c-.

* Tue Mar 26 2002 Akira TAGOH <tagoh@redhat.com> 1.2-6
- ship fonts.dir again. because chkfontpath can't add that font path...
- fonts.scale too. when a package will be removed, it will avoid a directory
  is not removed. but it's a dummy file.

* Thu Mar 15 2002 Akira TAGOH <tagoh@redhat.com> 1.2-5
- called redhat-update-gnome-font-install on %%post and %%postun

* Mon Feb 25 2002 Akira TAGOH <tagoh@redhat.com> 1.2-4
- Build against new environment.

* Tue Feb 12 2002 Akira TAGOH <tagoh@redhat.com> 1.2-3
- Removed fonts.{dir,scale}, because it's any longer needed.
- Fixed missing entries for fonts.alias

* Thu Jan 31 2002 Leon Ho <llch@redhat.com> 1.2-2
- fixes the temp file exploit

* Thu Jan 24 2002 Akira TAGOH <tagoh@redhat.com> 1.2-1
- update to 20020124 release.
- add jisx0201.1976-0 entry.
- add alias of -misc-kochi gothic/mincho- to fonts.alias.
- replace fonts.scale.xtt and encodings.dir
- remove the entries without jisx stuff from encodings.dir

* Thu Jan 10 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Dec 25 2001 Akira TAGOH <tagoh@redhat.com> 1.1-2
- update to 20011217 release.

* Thu Nov 15 2001 Akira TAGOH <tagoh@redhat.com> 1.1-1
- New upstream release.

* Thu Oct 11 2001 Preston Brown <pbrown@redhat.com> 1.0-7
- get rid of bad ISO8859-1 aliases and incorrect italic, bold mappings

* Wed Aug  8 2001 Akira TAGOH <tagoh@redhat.com> 1.0-6
- fixed default fonts.dir for non-xtt

* Mon Jul 23 2001 Akira TAGOH <tagoh@redhat.com> 1.0-5
- added default font for Nautilus.

* Tue Jul 17 2001 Akira TAGOH <tagoh@redhat.com> 1.0-4
- updated kochi fonts.
- fixed directory owner

* Mon Jul 09 2001 Karsten Hopp <karsten@redhat.de>
- fix japanese description (-l). But why is it in the
  .spec file at all ?

* Tue Jun 26 2001 Akira TAGOH <tagoh@redhat.com> 1.0-2
- don't use bzip2'ed compress when file size is small.
- changed family name.

* Wed Jun 13 2001 Akira TAGOH <tagoh@redhat.com> 1.0-1
- Initial build.

